Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config.maps
Class Member

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.maps.Member

All Implemented Interfaces:
  java.io.Serializable

    public class Member

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: Member.java,v 1.5 2009/01/19 14:03:03 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`Member()`

Method Summary
`java.lang.String` | `getId()` Returns the value of field 'id'.
`java.lang.String` | `getQname()` Returns the value of field 'qname'.
`java.lang.String` | `getValue()` Returns the value of field 'value'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setQname(java.lang.String qname)` Sets the value of field 'qname'.
`void` | `setValue(java.lang.String value)` Sets the value of field 'value'.
`static Member` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Member

    public Member()

Method Detail

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getQname

    public java.lang.String getQname()

  Returns the value of field 'qname'.

  Returns:
    the value of field 'Qname'.

### getValue

    public java.lang.String getValue()

  Returns the value of field 'value'.

  Returns:
    the value of field 'value'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setQname

    public void setQname(java.lang.String qname)

  Sets the value of field 'qname'.

  Parameters:
    `qname` - the value of field 'qname'.

### setValue

    public void setValue(java.lang.String value)

  Sets the value of field 'value'.

  Parameters:
    `value` - the value of field 'value'.

### unmarshal

    public static Member unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.maps.Member
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD